<div class="rounded shadow bg-white p-5">
  <div class="row">
    <div class="col-12 d-flex">
      <h2 class="font-weight-light">
        <i class="fas fa-home"></i>Biens Immobiliers
      </h2>
      <button
        class="btn-primary ml-auto"
        type="button"
        data-toggle="modal"
        data-target="#propertiesFormModal"
        (click)="resetForm()"
      >
        <i class="fas fa-plus"></i>Ajouter un bien
      </button>
    </div>
  </div>
  <hr class="mt-1 mb-5 bg-dark" />
  <div class="row">
    <div
      *ngFor="let property of properties; let i = index"
      class="col-12 shadow-sm p-4 mb-3 bg-light"
    >
      <div class="row">
        <div class="col-3">
         <div *ngFor="let photo of property.photos; let first = first">
            <img *ngIf="first" [src]="photo" alt="" class="w-100" />
         </div>
        </div>
        <div class="col-9">
          <div class="d-flex">
            <h3 class="font-weight-normal">{{ property.title }}</h3>
            <div class="ml-auto">
              <button
                class="btn btn-primary m-1"
                type="button"
                (click)="onEditProperty(property)"
              >
                <i class="fas fa-edit"></i>
              </button>
              <button
                class="btn btn-danger m-1"
                type="button"
                (click)="onDeleteProperty(i)"
              >
                <i class="fas fa-trash-alt"></i>
              </button>
            </div>
          </div>
        </div>
      </div>
      <p>
        {{ property.category }}
        <span *ngIf="property.surface && property.surface !== ''"
          >de {{ property.surface }} m2,</span
        ><span *ngIf="property.rooms && property.rooms !== ''"
          >{{ property.rooms }} piece(s).</span
        >
      </p>
      <p>
        <span *ngIf="property.price && property.price !== ''"
          >{{ property.price }}€
        </span>
      </p>
      <p>
        <span class="text-danger" *ngIf="!property.sold">A vendre</span>
        <span class="text-success" *ngIf="property.sold">Vendu</span>
      </p>
    </div>
  </div>
</div>
<div
  class="modal fade"
  id="propertiesFormModal"
  tabindex="-1"
  role="dialog"
  aria-labelledby="exampleModalCenterTitle"
  aria-hidden="true"
>
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <form [formGroup]="propertiesForm" (ngSubmit)="onSubmitPropertiesForm()">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalCenterTitle">
            Edition d un bien
          </h5>
          <button
            type="button"
            class="close"
            data-dismiss="modal"
            aria-label="Close"
          >
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="form-group">
            <input
              type="text"
              placeholder="titre"
              class="form-control"
              formControlName="title"
              required
            />
          </div>
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <label class="input-group-text" for="inputGroupSelect01"
                >Categorie</label
              >
            </div>
            <select
              class="custom-select"
              id="inputGroupSelect01"
              formControlName="category"
            >
              <option value="Appartement">Appartement</option>
              <option value="Maison">Maison</option>
            </select>
          </div>
          <div class="form-row">
            <div class="form-group col-6">
              <input
                type="text"
                placeholder="surface (m2)"
                class="form-control"
                formControlName="surface"
                id=""
              />
            </div>
            <div class="form-group col-6">
              <input
                type="text"
                placeholder="nombre de piece"
                class="form-control"
                formControlName="rooms"
              />
            </div>
          </div>
          <div class="form-group">
            <textarea
              class="form-control w-100"
              rows="4"
              placeholder="description du bien"
              formControlName="description"
            ></textarea>
          </div>
          <div class="form-group">
            <input
              type="text"
              class="form-control"
              placeholder="prix"
              formControlName="price"
            />
          </div>
         <div class="row">
           <div *ngFor="let photo of photosAdded; let i = index" class="col-4 border border-secondary rounded m-1 p-1 bg-light position-relative">
             <span class="text-danger position-absolute mr -1 deletephoto" (click)="onRemoveAddedPhoto(i)"><i class="fas fa-times"></i> </span>
<img [src]="photo" alt="" class="w-100">
           </div>
         </div> 
          <div class="custom-control custom-switch">
            <input
              type="checkbox"
              class="custom-control-input"
              id="customSwitch1"
              formControlName="sold"
            />
            <div class="form-row">
              <div class="col-9">
                <div class="input-group mb-3">
                  <div class="custom-file">
                    <input
                      type="file"
                      class="custom-file-input"
                      id="inputGroupFile01"
                      aria-describedby="inputGroupFileAddon01"
                      (change)="onUploadFile($event)"
                    />
                    <label class="custom-file-label" for="inputGroupFile01"
                      >envoyer une image</label
                    >
                  </div>
                </div>
              </div>
              <div class="col-3">
                <div class="spinner-border text-primary" *ngIf="photoUploading" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
              </div>
            </div>

            <label class="custom-control-label" for="customSwitch1">
              <span class="text-success" *ngIf="propertiesForm.value.sold"
                >Vendu</span
              >
              <span class="text-danger" *ngIf="!propertiesForm.value.sold"
                >A vendre</span
              >
            </label>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">
            Annuler
          </button>
          <button
            type="button"
            class="btn btn-primary"
            type="submit"
            [disabled]="propertiesForm.invalid"
          >
            Enregistrer
          </button>
        </div>
      </form>
    </div>
  </div>
</div>

<!-- delete property modal -->
<div
  class="modal fade"
  id="deletePropertyModal"
  tabindex="-1"
  role="dialog"
  aria-labelledby="exampleModalCenterTitle"
  aria-hidden="true"
>
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalCenterTitle">
          Supprimer ce bien
        </h5>
        <button
          type="button"
          class="close"
          data-dismiss="modal"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">
          Annuler
        </button>
        <button
          type="button"
          class="btn btn-danger"
          (click)="onConfirmDeleteProperty()"
        >
          Supprimer
        </button>
      </div>
    </div>
  </div>
</div>